[collectd] [PATCH] build.sh: Check for lex and yacc.
Sebastian Harl
sh at tokkee.org
Sat May 24 22:29:56 CEST 2008
Warn the user, if lex(1) and yacc(1) cannot be found. This is not
necessarily an error, as flex(1) or bison(1) might be available.
As suggested by Kevin Trumbull (onebinary) on IRC.
Signed-off-by: Sebastian Harl <sh at tokkee.org>
---
build.sh | 10 ++++++++++
1 files changed, 10 insertions(+), 0 deletions(-)
diff --git a/build.sh b/build.sh
index 3efb44f..cede2e4 100755
--- a/build.sh
+++ b/build.sh
@@ -1,5 +1,15 @@
#! /bin/sh
+if ! which lex > /dev/null 2>&1; then
+ echo "WARNING: lex not found!" >&2
+ echo "Make sure that you have a flex compatible tool available." >&2
+fi
+
+if ! which yacc > /dev/null 2>&1; then
+ echo "WARNING: yacc not found!" >&2
+ echo "Make sure that you have a GNU bison compatible tool available." >&2
+fi
+
libtoolize=libtoolize
if which glibtoolize > /dev/null 2>&1; then
--
1.5.5.1.316.g377d9
-------------- next part --------------
A non-text attachment was scrubbed...
Name: not available
Type: application/pgp-signature
Size: 189 bytes
Desc: Digital signature
Url : http://mailman.verplant.org/pipermail/collectd/attachments/20080524/7a9c53aa/attachment.pgp
More information about the collectd
mailing list